variable "environment" {}
variable "namespace" {}
variable "region" {}
variable "out_dir" {
  type    = string
  default = "/home/build/out"
}

resource "random_id" "suffix" {
    byte_length = 8
}

resource "digitalocean_spaces_bucket" "website" {
  name = "website-${random_id.suffix.hex}"
  region = var.region
}

resource "digitalocean_spaces_bucket_object" "website" {
  for_each = fileset("${var.out_dir}/website", "*")
  region = var.region
  bucket   = digitalocean_spaces_bucket.website.name
  source   = "${var.out_dir}/website/${each.value}"
  key      = each.value
  etag     = filemd5("${var.out_dir}/website/${each.value}")
}
